Get dashboard aggregate stats
curl --request GET \
--url https://api-v2.watchcollect.com/v2/dashboard/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/dashboard/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/dashboard/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"listing_count": 123,
"for_sale_listing_count": 123,
"want_to_buy_listing_count": 123,
"reference_count": 123,
"contact_count": 123,
"group_count": 123,
"selected_group_count": 123,
"alert_count": 123,
"unseen_alert_match_count": 123,
"updated_at_ms": 123,
"latest_listing_at_ms": 123,
"latest_message_at_ms": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}dashboard
Get dashboard aggregate stats
GET
/
v2
/
dashboard
/
stats
Get dashboard aggregate stats
curl --request GET \
--url https://api-v2.watchcollect.com/v2/dashboard/stats \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/dashboard/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/dashboard/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"listing_count": 123,
"for_sale_listing_count": 123,
"want_to_buy_listing_count": 123,
"reference_count": 123,
"contact_count": 123,
"group_count": 123,
"selected_group_count": 123,
"alert_count": 123,
"unseen_alert_match_count": 123,
"updated_at_ms": 123,
"latest_listing_at_ms": 123,
"latest_message_at_ms": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Dashboard stats.
Visible non-duplicate projected for-sale market listings.
Visible non-duplicate projected wanted market listings.